#
# Conditional build:
%bcond_without	apidocs	# Sphinx documentation
%bcond_without	tests	# unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module	pyasn1

Summary:	ASN.1 tools for Python
Summary(pl.UTF-8):	Narzędzia ASN.1 dla Pythona
Name:		python-%{module}
# keep 0.5.x here for python2 support
Version:	0.5.1
Release:	1
License:	BSD-like
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/pyasn1/
Source0:	https://files.pythonhosted.org/packages/source/p/pyasn1/%{module}-%{version}.tar.gz
# Source0-md5:	1e8ca05cc7040aaf06e321886715eb7e
URL:		https://github.com/etingof/pyasn1
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-modules >= 1:2.7
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.6
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
%if %{with apidocs}
BuildRequires:	python3-sphinx_rtd_theme
BuildRequires:	sphinx-pdg
%endif
Requires:	python-modules >= 1:2.7
Obsoletes:	python-pyasn1-examples < 0.0.13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This project is dedicated to implementation of ASN.1 types (concrete
syntax) and codecs (transfer syntaxes) for Python programming
environment.

%description -l pl.UTF-8
Celem tego projektu jest implementacja typów (konkretnej składni) i
kodowania (składni przesyłania) ASN.1 dla środowiska programowania
Python.

%package -n python3-%{module}
Summary:	ASN.1 tools for Python
Summary(pl.UTF-8):	Narzędzia ASN.1 dla Pythona
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.6

%description -n python3-%{module}
This project is dedicated to implementation of ASN.1 types (concrete
syntax) and codecs (transfer syntaxes) for Python programming
environment.

%description -n python3-%{module} -l pl.UTF-8
Celem tego projektu jest implementacja typów (konkretnej składni) i
kodowania (składni przesyłania) ASN.1 dla środowiska programowania
Python.

%package apidocs
Summary:	Documentation for ASN.1 Python module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona ASN.1
Group:		Documentation

%description apidocs
Documentation for ASN.1 Python module.

%description apidocs -l pl.UTF-8
Dokumentacja do modułu Pythona ASN.1.

%prep
%setup -q -n %{module}-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m tests
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m tests
%endif
%endif

%if %{with apidocs}
PYTHONPATH=$(pwd)/build-py3/lib \
%{__make} -C docs html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.rst README.md TODO.rst
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/pyasn1-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.rst LICENSE.rst README.md TODO.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/pyasn1-%{version}-py*.egg-info
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc docs/build/html/{_static,pyasn1,*.html,*.js}
%endif
%changelog
* Wed Jun 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyasn1.git;a=log;h=master

* Wed Jun 25 2025 Jakub Bogusz <qboosh@pld-linux.org> 8f2a361
- updated to 0.5.1

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 70ce225
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> f97534e
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 35bbcac
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> cbbff96
- rebuild with python 3.10

* Mon Mar 21 2022 Jakub Bogusz <qboosh@pld-linux.org> bce55d6
- versioned Obsoletes

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c8e8b1e
- release 2 (by relup.sh)

* Sat Mar 21 2020 Jakub Bogusz <qboosh@pld-linux.org> ebcb78e
- updated to 0.4.8

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> cf4e9c1
- rebuild with python 3.8
- release 2 (by relup.sh)

* Fri Feb 01 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> d0b7fed
- up to 0.4.5

* Wed Sep 12 2018 Jacek Konieczny <j.konieczny@eggsoft.pl> ebc23fa
- Version: 0.4.4

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> dad2065
- release 2 (by relup.sh)

* Sat May 26 2018 Jakub Bogusz <qboosh@pld-linux.org> b0ec96e
- updated URLs

* Sat May 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 95b685d
- updated to 0.4.3
- removed obsolete missing patch

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 1146e53
- added missing patch (doc conf.py file taken from git)

* Fri Mar 03 2017 Jakub Bogusz <qboosh@pld-linux.org> 80c47c7
- updated to 0.2.3

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b9b08c3
- python 3.6
- release 3 (by relup.sh)

* Mon Aug 22 2016 Marcin Krol <hawk@tld-linux.org> ea88cc4
- release 2

* Wed Mar 09 2016 Jakub Bogusz <qboosh@pld-linux.org> b3a167e
- distribute not required; tests require unittest2 on python<2.7

* Wed Mar 02 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 360405e
- up to 0.1.9

